PROXYHOST="proxy"
PROXYPORT="8080"

for CFGFILE in "/etc/sysconfig/proxy-config" "${HOME}/.proxy-config"; do
  [[ -r "$CFGFILE" ]] && . "$CFGFILE"
done

if [[ "$PROXYHOST" ]] && [[ "$PROXYPORT" ]]; then
  LOCAL_HOST="$(hostname -s 2> /dev/null),"
  if [[ "$LOCAL_HOST" == "(none)," ]]; then
    LOCAL_HOST=
  fi
  LOCAL_DOMAIN="$(hostname -d 2> /dev/null),"
  if [[ "$LOCAL_DOMAIN" == "(none)," ]]; then
    LOCAL_DOMAIN=
  fi
  export http_proxy="http://${PROXYHOST}:${PROXYPORT}"
  export HTTP_PROXY="$http_proxy"
  export https_proxy="$http_proxy"
  export HTTPS_PROXY="$http_proxy"
  export ftp_proxy="$http_proxy"
  export FTP_PROXY="$http_proxy"
  export all_proxy="$http_proxy"
  export ALL_PROXY="$http_proxy"
  export no_proxy="localhost,localdomain,${PROXYHOST},${LOCAL_HOST}${LOCAL_DOMAIN}127.0.0.1,::1"
  export NO_PROXY="$no_proxy"
  export RSYNC_PROXY="${PROXYHOST}:${PROXYPORT}"
fi

unset -v PROXYHOST PROXYPORT CFGFILE LOCAL_HOST LOCAL_DOMAIN
